Package Details: pacman2aria2 2012-2

Git Clone URL: https://aur.archlinux.org/pacman2aria2.git (read-only)
Package Base: pacman2aria2
Description: Convert pacman download URL lists to reflector-augmented aria2c input lists. Includes powerpill-light.
Upstream URL: http://xyne.archlinux.ca/projects/pacman2aria2
Keywords: pacman
Licenses: GPL
Submitter: Xyne
Maintainer: Xyne
Last Packager: Xyne
Votes: 51
Popularity: 0.000000
First Submitted: 2011-04-04 03:45
Last Updated: 2015-06-21 02:28

Latest Comments

Xyne commented on 2012-12-10 14:48

In case anyone missed it, Powerpill has been re-released:
https://aur.archlinux.org/packages.php?ID=65059

jellysheep commented on 2012-10-24 20:37

Everything is working again, thanks!

jellysheep commented on 2012-10-24 11:47

Downloading the signature of the xz package does not work anymore, therefore an update or fresh installation of this package does not work as well.
Maybe you could reupload the signature or adjust the PKGBUILD?
Thanks!

Xyne commented on 2012-09-03 22:15

I'm glad that it fixed itself. Sorry for not replying sooner. I saw the notification email and opened a tab to reply, but I must have been sidetracked before I could.

Btw, if you're still using this then I recommend taking a look at the following:
http://xyne.archlinux.ca/projects/pm2ml/
http://xyne.archlinux.ca/scripts/pacman/#parisync

I have been using parisync on all of my systems since I wrote it.

testdude281 commented on 2012-09-03 12:12

Never mind.

Reinstalling it took care of the problem.

testdude281 commented on 2012-09-03 05:15

Hi, i got this error while trying to install a package

[dilip@Zeus Desktop]$ sudo powerpill-light pwmanager
Traceback (most recent call last):
File "/usr/lib/python3.2/urllib/request.py", line 1135, in do_open
h.request(req.get_method(), req.selector, req.data, headers)
File "/usr/lib/python3.2/http/client.py", line 967, in request
self._send_request(method, url, body, headers)
File "/usr/lib/python3.2/http/client.py", line 1005, in _send_request
self.endheaders(body)
File "/usr/lib/python3.2/http/client.py", line 963, in endheaders
self._send_output(message_body)
File "/usr/lib/python3.2/http/client.py", line 808, in _send_output
self.send(msg)
File "/usr/lib/python3.2/http/client.py", line 746, in send
self.connect()
File "/usr/lib/python3.2/http/client.py", line 1100, in connect
self.timeout, self.source_address)
File "/usr/lib/python3.2/socket.py", line 404, in create_connection
raise err
File "/usr/lib/python3.2/socket.py", line 395, in create_connection
sock.connect(sa)
socket.timeout: timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3.2/site-packages/Reflector.py", line 145, in retrieve
with urllib.request.urlopen(MirrorStatus.URL, None, self.connection_timeout) as f:
File "/usr/lib/python3.2/urllib/request.py", line 138, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.2/urllib/request.py", line 369, in open
response = self._open(req, data)
File "/usr/lib/python3.2/urllib/request.py", line 387, in _open
'_open', req)
File "/usr/lib/python3.2/urllib/request.py", line 347, in _call_chain
result = func(*args)
File "/usr/lib/python3.2/urllib/request.py", line 1171, in https_open
context=self._context, check_hostname=self._check_hostname)
File "/usr/lib/python3.2/urllib/request.py", line 1138, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error timed out>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/pacman2aria2", line 72, in <module>
ms, mirrors = process_options(options)
File "/usr/lib/python3.2/site-packages/Reflector.py", line 481, in process_options
mirrors = ms.get_mirrors()
File "/usr/lib/python3.2/site-packages/Reflector.py", line 191, in get_mirrors
return self.get_obj()['urls']
File "/usr/lib/python3.2/site-packages/Reflector.py", line 184, in get_obj
self.retrieve()
File "/usr/lib/python3.2/site-packages/Reflector.py", line 150, in retrieve
raise MirrorStatusError('failed to retrieve mirror data: %s' % (e))
Reflector.MirrorStatusError: 'failed to retrieve mirror data: <urlopen error timed out>'
No files to download.
resolving dependencies...
looking for inter-conflicts...

Targets (3): kdelibs3-3.5.10-13 qt3-1:3.3.8b-1 pwmanager-1.2.4-5

Total Download Size: 21.78 MiB
Total Installed Size: 90.98 MiB

Proceed with installation? [Y/n] n
[dilip@Zeus Desktop]$

Xyne commented on 2012-03-20 18:15

Anyone using pacman2aria2 will probably be interested in pm2ml:
http://xyne.archlinux.ca/projects/pm2ml/
https://bbs.archlinux.org/viewtopic.php?id=138020

Xyne commented on 2012-03-20 18:15

Anyone using pacman2aria2 will probably be interested in pm2ml: https://bbs.archlinux.org/viewtopic.php?id=138020

Xyne commented on 2011-08-14 08:13

@plmday
There is no help message because it's a simple script that doesn't parse any command-line options itself. It is not meant to be a full application. Just open up the script and look at the code to see what it does, and read the relevant section on the project page:

https://aur.archlinux.org/packages.php?ID=47913

reflectionalist commented on 2011-08-07 22:15

I got this...

$ powerpill-light -h
Exception caught
Exception: [Platform.cc:111] errorCode=1 gcry_check_version() failed.

All comments